import { shallowMount } from '@vue/test-utils'
import ProductCard from '../ProductCard/ProductCard.vue'
// import VueRouter from 'vue-router'

describe('ProductCard', () => {
  const wrapper = shallowMount(ProductCard, {
    props: {
      product: {
        id: 5,
        title: 'braclet',
        price: 695,
        description: 'From',
        category: 'jewelery',
        image: 'https://fakestoreapi.com/img/71pWzhdJNwL._AC_UL640_QL65_ML3_.jpg',
        rating: {
          rate: 4.6,
          count: 400
        }
      }
    },
    stubs: ['router-link', 'router-view']
  })

  it('To test if the component loaded with card details', () => {
    console.log(wrapper.html(), 'testing')
    expect(wrapper.classes()).toContain('card')
    expect(wrapper.find('.card-img').exists()).toBe(true)
    const liList = wrapper.findAll('li')
    expect(liList.at(0).text()).toBe('braclet')
    expect(liList.at(1).text()).toBe('Price:$695')
    expect(liList.at(2).text()).toBe('Category: jewelery')
  })

  it('To test the router link loaded with correct routing value', () => {
    const router = wrapper.find('router-link')
    expect(router.attributes('to')).toBe('/categories/jewelery/5')
  })
})
