import './assets/main.css'
import vueComponents from '@sangarajuguptanisum/vue-custom-components'


import { createApp } from 'vue'
import App from './App.vue'
import { createRouter, createWebHistory } from 'vue-router'
import store from './store/index.js'

import Home from '../src/views/Home/Home.Vue'
import About from '../src/views/About/About.vue'
import Contact from '../src/views/Contact/Contact.vue'
import CategoriesList from '../src/views/CategoriesList/CategoriesList.vue'
import ProductDetail from '../src/views/ProductDetail/ProductDetail.vue'
import Cart from '../src/views/Cart/Cart.vue'

const app = createApp(App)

const router = createRouter({
  history: createWebHistory(),
  routes: [
    { name: 'Home', path: '/', component: Home },
    { name: 'About', path: '/about', component: About },
    { name: 'Contact', path: '/contact', component: Contact },
    { name: 'Categories', path: '/categories/:product', component: CategoriesList },
    { name: 'ProductDetail', path: '/categories/:product/:id', component: ProductDetail },
    { name: 'Cart', path: '/cart', component: Cart }
  ]
})

app.use(vueComponents)
app.use(router)
app.use(store)
app.mount('#app')
