import { createStore } from 'vuex'
import axios from 'axios'

export default createStore({
  state: {
    products: [],
    cart: []
  },
  mutations: {
    getProducts(state, products) {
      state.products = products
    },
    addProductsToCart(state, products) {
      //Mutating the state
      state.cart.push(products)
      // console.log(state,"steteee")
    },
    removeProductFromCart(state, productId) {
      const index = state.cart.findIndex((item) => item.id === productId)
      state.cart.splice(index, 1)
    }
  },
  actions: {
    async getProductsAction(context) {
      const { data } = await axios.get('https://fakestoreapi.com/products')
      context.commit('getProducts', data)
    }
  }
})
